none
Не устанавливается обновление KB980182-IE7. ОС Windows XP pro.sp2 RRS feed

  • Вопрос

  • Программа установки KB980182 обнаружила ошибку.Не удалось выполнить миграцию зависимых пакетов. Код ошибки 0xf0ea.

    Microsoft Update предложило заново скачать и установить, результат тотже.

    [KB980182-IE7.log] ...

    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.515: AnalyzeForBranching: Package required to migrate c:\windows\system32\mshtml.dll not found
    4.562: AnalyzeForBranching: Package required to migrate c:\windows\system32\dllcache\mshtml.dll not found
    4.750: AnalyzeForBranching used 610 ticks.
    4.968: AnalyzePhaseTwo used 218 ticks
    4.968: AnalyzePhaseThree used 0 ticks
    4.984: AnalyzePhaseFive used 16 ticks
    5.000: AnalyzePhaseSix used 16 ticks
    5.000: AnalyzeComponents used 2578 ticks
    5.000: Downloading 71 files
    5.000: bPatchMode = TRUE
    5.000: Inventory complete: ReturnStatus=0, 2719 ticks
    5.000: DoInstallation: Installation was canceled because migration is blocked by following files:
    5.000: Package KB933566-IE7, File c:\windows\system32\dllcache\mshtml.dll, Version 7.0.6000.20591, Branch SP2QFE
    5.000: Package KB933566-IE7, File c:\windows\system32\mshtml.dll, Version 7.0.6000.20591, Branch SP2QFE
    5.000: Программа установки "KB980182" обнаружила ошибку:  Не удалось выполнить миграцию зависимых пакетов.
    5.562: Не удалось выполнить миграцию зависимых пакетов.
    5.562: Update.exe extended error code = 0xf0ea

    20 июня 2010 г. 11:12

Ответы

  • Неужели никто не догадался здесь посмотреть - http://support.microsoft.com/kb/980182 ?

    Английская (США) версия данного обновления программного обеспечения содержит файлы с атрибутами, указанными в приведенных ниже таблицах. Дата и время для файлов указаны в формате UTC. Дата и время файлов на компьютере указываются по местному времени с учетом действующих дат перехода на зимнее и летнее время. При выполнении определенных операций с файлами даты и время могут изменяться. 
    ... 
    Internet Explorer 7 
    
    Internet Explorer 7 во всех поддерживаемых 32-разрядных версиях Windows XP 
    
    SP requirement: SP3 
    22 июня 2010 г. 16:44

Все ответы

  • Давно пора установить SP3 и IE8

    --
    Anatoly Podgoretsky
     
     
    "aya-" сообщил/сообщила в новостях следующее: news:f5fb7c8d-5375-46bc-9ce3-69747d5ce04f...

    Программа установки KB980182 обнаружила ошибку.Не удалось выполнить миграцию зависимых пакетов. Код ошибки 0xf0ea.

    Microsoft Update предложило заново скачать и установить, результат тотже.

    [KB980182-IE7.log] ...

    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.140: Программа установки "KB980182" обнаружила ошибку:  Файл UPDATE.VER неправилен.
    4.515: AnalyzeForBranching: Package required to migrate c:\windows\system32\mshtml.dll not found
    4.562: AnalyzeForBranching: Package required to migrate c:\windows\system32\dllcache\mshtml.dll not found
    4.750: AnalyzeForBranching used 610 ticks.
    4.968: AnalyzePhaseTwo used 218 ticks
    4.968: AnalyzePhaseThree used 0 ticks
    4.984: AnalyzePhaseFive used 16 ticks
    5.000: AnalyzePhaseSix used 16 ticks
    5.000: AnalyzeComponents used 2578 ticks
    5.000: Downloading 71 files
    5.000: bPatchMode = TRUE
    5.000: Inventory complete: ReturnStatus=0, 2719 ticks
    5.000: DoInstallation: Installation was canceled because migration is blocked by following files:
    5.000: Package KB933566-IE7, File c:\windows\system32\dllcache\mshtml.dll, Version 7.0.6000.20591, Branch SP2QFE
    5.000: Package KB933566-IE7, File c:\windows\system32\mshtml.dll, Version 7.0.6000.20591, Branch SP2QFE
    5.000: Программа установки "KB980182" обнаружила ошибку:  Не удалось выполнить миграцию зависимых пакетов.
    5.562: Не удалось выполнить миграцию зависимых пакетов.
    5.562: Update.exe extended error code = 0xf0ea

    20 июня 2010 г. 12:23
  • Anatoly Podgoretsky нужен ответ на поставленный вопрос, а не тупое замечание.
    20 июня 2010 г. 12:40
  • Попробуй почистить систему, использывать "Восстановление системы". Также может быть ошибка в файлах сервис-пака. Переустанови его или же установи SP3, так как Microsoft прекращает поддержку SP2 в июле этого года.
    20 июня 2010 г. 13:09
  • Anatoly Podgoretsky нужен ответ на поставленный вопрос, а не тупое замечание.

    Так ты пробовал? Или ты заранее отметаешь это?
    20 июня 2010 г. 13:31
  • Чистка системы, "Восстановление системы" проблемы не решает. Сервис-пак интегрирован в ОС. SP3 не вносит никаких изменений кроме объема.
    21 июня 2010 г. 0:06
  • SP 3 и IE 8 не решение проблемы.

    21 июня 2010 г. 0:13
  • С учетом скорого (меньше месяца) прекращения поддержки SP2 это единственное решение проблемы. Без установки SP3 ОС не сможет получать обновления безопасности.
    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Предложено в качестве ответа Vladimir Zelenov 22 июня 2010 г. 4:36
    21 июня 2010 г. 0:27
    Модератор
  • И это предлагает сотрудник Microsoft? Илья, будь я на твоем месте сгорела от стыда за подобное решение проблемы. Стыдитесь господа.
    21 июня 2010 г. 1:02
  • Почему я должен стыдится очевидного и давно назревшего решения? Или в россии непроизводительные потери рабочего времени и пренебрежение безопасностью считаются неким актом героизма?
    This posting is provided "AS IS" with no warranties, and confers no rights.
    21 июня 2010 г. 1:18
    Модератор
  • Поддержка для Windows XP с пакетом обновления 2 (SP2) завершится 13 июля 2010 года. Позволь тебе напомнить, сейчас 21 июня 2010 года. Или в сша тупо отмазываться от работы которую вы обязаны выполнить на основании своегоже заявления считается неким актом героизма?
    21 июня 2010 г. 13:13
  • Попробую предположить, что происходит именно в вашем случае. Обновление KB980182 пытается установить библиотеку mshtml.dll версии 7.0.6000.17023, а на вашем компьютере библиотека mshtml.dll имеет более позднюю версию - 7.0.6000.20591. Как быть в таком случае, зависит от поведения, заложенного в программу установки обновления. Установщик может перезаписать компонент более старой версией, оставить компонент как есть, либо прекратить установку, если версия dll важна для совместимости с другими компонентами обновления. Откуда на вашем компьютере версия 7.0.6000.20591? Вероятно, после установки какого-либо другого обновления. Service Pack отличается от простого набора обновлений тем, что все его компоненты протестированы на совместимость друг с другом. Ставить его или нет - решать вам, можете, например, попробовать найти обновление, которое установило mshtml.dll более новой версии и деинсталлировать его. Разумеется, тоже считаю установку SP3 наиболее правильным решением.

    Постарался ответить максимально по существу. И - обратите внимание - никто из участников Форумов TechNet не имеет перед вами никаких обязанностей, а отвечают и принимают участие в обсуждениях исключительно по собственной инициативе и желанию помочь.

    • Предложено в качестве ответа Natalya T 21 июня 2010 г. 19:49
    21 июня 2010 г. 14:34
    Модератор
  • Вы перепутали поддержку с форумом. Форум является средством самоподержки - ответы даются такими же пользователями как вы, MVP и сотрудниками Микрософт на добовольной основе. В этом форуме вам никто и ничем не обязан.

    Если вам требуется поддержка то ее следует оплачивать и получать по официальным каналам.


    This posting is provided "AS IS" with no warranties, and confers no rights.
    21 июня 2010 г. 17:04
    Модератор
  • Ilya Tumanov, (борец с непроизводительными потерями рабочего времени) ты вместо предложения какого либо решения проблемы развел бессмысленную полемику на форуме. Из всей твоей писанины можно заключить, что ты можешь болтать но не мешки таскать.

    Благодарю osr_ за озвучивание моих мыслей. Спасибо Natalya T. за участие.

    22 июня 2010 г. 1:48
  • Вам дали конкретное решение - SP3.
    22 июня 2010 г. 4:35
  • А ты чего мешки не таскаешь? Болтать наверно нравится.

    --
    With the best regards,
    Anatoly Podgoretsky
    http://www.podgoretsky.com
     
     
    "aya-" <=?utf-8?B?YXlhLQ==?=> сообщил/сообщила в новостях следующее: news:63f68264-acb6-4fc3-9375-aef8356507c0...

    Ilya Tumanov, (борец с непроизводительными потерями рабочего времени) ты вместо предложения какого либо решения проблемы развел бессмысленную полемику на форуме. Из всей твоей писанины можно заключить, что ты можешь болтать но не мешки таскать.

    Благодарю osr_ за озвучивание моих мыслей. Спасибо Natalya T. за участие.

    22 июня 2010 г. 5:14
  • Анатолий, ну а как Вам женщина таскающая мешки? :)
    22 июня 2010 г. 13:54
  • Ну жалко ее.

    --
    Anatoly Podgoretsky
     
     
    "Natalya T." сообщил/сообщила в новостях следующее: news:ea0bde6f-9da3-4316-9bde-8ddcb9d4aa40...
    Анатолий, ну а как Вам женщина таскающая мешки? :)
    22 июня 2010 г. 16:10
  • Неужели никто не догадался здесь посмотреть - http://support.microsoft.com/kb/980182 ?

    Английская (США) версия данного обновления программного обеспечения содержит файлы с атрибутами, указанными в приведенных ниже таблицах. Дата и время для файлов указаны в формате UTC. Дата и время файлов на компьютере указываются по местному времени с учетом действующих дат перехода на зимнее и летнее время. При выполнении определенных операций с файлами даты и время могут изменяться. 
    ... 
    Internet Explorer 7 
    
    Internet Explorer 7 во всех поддерживаемых 32-разрядных версиях Windows XP 
    
    SP requirement: SP3 
    22 июня 2010 г. 16:44
  • Так не подходит же, поскольку клиент органически не воспринимает SP3, он считает, что над ним издеваются.

    SP requirement: SP3

    22 июня 2010 г. 17:23
  • Да всё предельно просто.

    aya- не считает нужным устанавливать себе SP3 - "...SP 3 на мой взгляд кроме увеличения объема не вносит никаких изменений в работу, а в некоторых случаях (на машинах куда мощнее и новее моего ноута) изрядно тормозит..." И может ей нафиг не нужны эти обновления безопасности! И просто хотела получить ответ на конкретный вопрос по поводу обновления IE7 и ВСЁ!

    22 июня 2010 г. 18:49
  • Интересный подход... Т.е. если кто то спрашивает на форуме как луше убить себя утверждая что "жизнь не имеет никаких радостей, лишь создает одни проблемы" то мы должны без лишних вопросов просто пояснить как правильно привязать веревку и намазать ее мылом?

    Что до СП3, то очевидно что фраза "SP 3 на мой взгляд кроме увеличения объема не вносит никаких изменений в работу" не соответвует действительности т.к. она по меньшей мере устараняет проблему с установкой упомянутого обновления.

    Далее, для человека просящего о помощи топикстартер ведет себя несколько неадекватно. Если не устраивает подсказанное решение, то куда разумнее поблагодарить за него и продлолжать поиски, а не вступать в конфликт. Как там в поговорке - не кусай руку которая тебя кормит?


    This posting is provided "AS IS" with no warranties, and confers no rights.
    23 июня 2010 г. 1:40
    Модератор
  • Ilya Tumanov, эко тебя занесло, начинаю сомневаться в твоей разумности.

    Jora-Tambov, ставился RUS. Твои предложения помимо SP3?

    Natalya T. Большое Спасибо за поддержку. Все верно, в свои 15 лет Я хочу получить знания и опыт.

    23 июня 2010 г. 2:24
  • Коллеги, закрываю обсуждение. Ответ был дан участником Jora-Tambov, на мой взгляд, он исчерпывающий, а дискуссия давно вышла за рамки технической.
    23 июня 2010 г. 7:09
    Модератор